PCAP_FREECODE(3) | Library Functions Manual | PCAP_FREECODE(3)

# NAME

pcap_freecode - free a BPF program

# SYNOPSIS

    #include <pcap/pcap.h>

    void pcap_freecode(struct bpf_program *);

# DESCRIPTION

pcap_freecode() is used to free up allocated memory pointed to by a bpf_program struct generated by pcap_compile() when that BPF program is no longer needed, for example after it has been made the filter program for a pcap structure by a call to pcap_setfilter().

# SEE ALSO

pcap(3), pcap_compile(3), pcap_setfilter(3)

3 January 2014 |